%global wxversion 3.1
%global wxincdir %{_includedir}/wx-%{wxversion}
%define major 0

%define libname %mklibname %{name}_ %{wxversion} %{major}
%define devname %mklibname %{name}_ %{wxversion} -d

Name:           wxsqlite3
Version:        4.4.8
Release:        %mkrel 2
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries
License:        wxWidgets
URL:            http://utelle.github.io/wxsqlite3
Source0:        https://github.com/utelle/wxsqlite3/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         wxsqlite3-4.4.2-linking.patch

BuildRequires:  dos2unix
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  wxgtku%{wxversion}-devel

%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{libname}
Summary:        C++ wrapper around the SQLite 3.x database
Group:          System/Libraries

%description -n %{libname}
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database and
is specifically designed for use in programs based on the wxWidgets %{wxversion} library.

wxSQLite3 does not try to hide the underlying database, in contrary almost
all special features of the recent SQLite3 versions are supported, like
for example the creation of user defined scalar or aggregate functions.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%setup -q
%apply_patches

dos2unix readme.md

# fix build on aarch64
for d in $(find . -name "config.sub"); do
  cp -af %{_rpmconfigdir}/config.{guess,sub} $(dirname $d)
done

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
%make_install includewxdir=%{wxincdir}/wx

find %{buildroot} -name '*.la' -delete

%files -n       %{libname}
%doc LICENCE.txt readme.md
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so.%{major}
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so.%{major}.*

%files -n       %{devname}
%{wxincdir}/wx/%{name}*.h
%{_libdir}/libwx_gtk?u_%{name}-%{wxversion}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Mar 27 2020 tex - 4.4.8-2pclos2020
- rebuild against updates

* Fri Nov 22 2019 tex - 4.4.8-1pclos2019
- new version

* Sat Oct 04 2019 tex - 4.4.3-1pclos2019
- update
